
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; Phenotastic 0.3.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/classic.css" />

    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>

    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="#" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">Phenotastic 0.3.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Index</a></li>
      </ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">


<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#V"><strong>V</strong></a>

</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.misc.angle">angle() (in module phenotastic.misc)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.misc.angle_difference">angle_difference() (in module phenotastic.misc)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.border">border() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.boundary_edges">boundary_edges() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.boundary_indices">boundary_indices() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.boundary_points">boundary_points() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.misc.car2sph">car2sph() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.contour">contour() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.coord_array">coord_array() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.correct_bad_mesh">correct_bad_mesh() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.correct_normal_orientation">correct_normal_orientation() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.correct_normal_orientation_topcut">correct_normal_orientation_topcut() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.create_cellular_mesh">create_cellular_mesh() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.create_mesh">create_mesh() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.cut">cut() (in module phenotastic.misc)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.define_meristem">define_meristem() (in module phenotastic.domains)</a>

      <ul>
        <li><a href="phenotastic.html#phenotastic.mesh.define_meristem">(in module phenotastic.mesh)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.misc.divergence_angles">divergence_angles() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.domain_neighbors">domain_neighbors() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.drop_skirt">drop_skirt() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.ECFT">ECFT() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.erode">erode() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.extract_domain">extract_domain() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.extract_domaindata">extract_domaindata() (in module phenotastic.domains)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.feature_edges">feature_edges() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.fill_beneath">fill_beneath() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.fill_contour">fill_contour() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.fill_inland">fill_inland() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.filter">filter() (in module phenotastic.domains)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.filter_curvature">filter_curvature() (in module phenotastic.domains)</a>

      <ul>
        <li><a href="phenotastic.html#phenotastic.mesh.filter_curvature">(in module phenotastic.mesh)</a>
</li>
      </ul></li>
      <li><a href="phenotastic.html#phenotastic.mesh.fit_paraboloid">fit_paraboloid() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.fit_paraboloid_mesh">fit_paraboloid_mesh() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.flatten">flatten() (in module phenotastic.misc)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.get_domain">get_domain() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.get_domain_boundary">get_domain_boundary() (in module phenotastic.domains)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.misc.get_factors">get_factors() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.get_max_contrast_colours">get_max_contrast_colours() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.get_prime_factors">get_prime_factors() (in module phenotastic.misc)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.label_cellular_mesh">label_cellular_mesh() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.label_mesh">label_mesh() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.make_manifold">make_manifold() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.manifold_edges">manifold_edges() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.map_to_domains">map_to_domains() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.match_shape">match_shape() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.matching_rows">matching_rows() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.maxmin">maxmin() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.mean">mean() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.median">median() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.merge">merge() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.merge_angles">merge_angles() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.merge_border_length">merge_border_length() (in module phenotastic.domains)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.merge_depth">merge_depth() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.merge_disconnected">merge_disconnected() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.merge_distance">merge_distance() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.merge_engulfing">merge_engulfing() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.merge_small">merge_small() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.minmax">minmax() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.mode">mode() (in module phenotastic.misc)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="phenotastic.html#module-phenotastic">phenotastic</a>
</li>
        <li><a href="phenotastic.html#module-phenotastic.domains">phenotastic.domains</a>
</li>
        <li><a href="phenotastic.html#module-phenotastic.mesh">phenotastic.mesh</a>
</li>
        <li><a href="phenotastic.html#module-phenotastic.misc">phenotastic.misc</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.neighbouring_domains">neighbouring_domains() (in module phenotastic.domains)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.non_manifold_edges">non_manifold_edges() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.paraboloid">paraboloid() (in module phenotastic.mesh)</a>

      <ul>
        <li><a href="phenotastic.html#phenotastic.misc.paraboloid">(in module phenotastic.misc)</a>
</li>
      </ul></li>
      <li><a href="phenotastic.html#phenotastic.mesh.paraboloid_apex">paraboloid_apex() (in module phenotastic.mesh)</a>
</li>
      <li>
    phenotastic

      <ul>
        <li><a href="phenotastic.html#module-phenotastic">module</a>
</li>
      </ul></li>
      <li>
    phenotastic.domains

      <ul>
        <li><a href="phenotastic.html#module-phenotastic.domains">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    phenotastic.mesh

      <ul>
        <li><a href="phenotastic.html#module-phenotastic.mesh">module</a>
</li>
      </ul></li>
      <li>
    phenotastic.misc

      <ul>
        <li><a href="phenotastic.html#module-phenotastic.misc">module</a>
</li>
      </ul></li>
      <li><a href="phenotastic.html#phenotastic.misc.prime_sieve">prime_sieve() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.process_mesh">process_mesh() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.project2surface">project2surface() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.misc.rand_cmap">rand_cmap() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.reject_outliers">reject_outliers() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.relabel">relabel() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.relabel_domains">relabel_domains() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.remesh">remesh() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.remesh_decimate">remesh_decimate() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.remove_bridges">remove_bridges() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.misc.remove_empty_slices">remove_empty_slices() (in module phenotastic.misc)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.remove_inland_under">remove_inland_under() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.remove_normals">remove_normals() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.remove_size">remove_size() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.remove_tongues">remove_tongues() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.repair">repair() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.repair_small">repair_small() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.rot_matrix_44">rot_matrix_44() (in module phenotastic.mesh)</a>

      <ul>
        <li><a href="phenotastic.html#phenotastic.misc.rot_matrix_44">(in module phenotastic.misc)</a>
</li>
      </ul></li>
      <li><a href="phenotastic.html#phenotastic.misc.rotate">rotate() (in module phenotastic.misc)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.domains.set_boundary_values">set_boundary_values() (in module phenotastic.domains)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.smooth_boundary">smooth_boundary() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.misc.sph2car">sph2car() (in module phenotastic.misc)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.domains.steepest_ascent">steepest_ascent() (in module phenotastic.domains)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.misc.to_uint8">to_uint8() (in module phenotastic.misc)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="V">V</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.vertex_cycles">vertex_cycles() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="phenotastic.html#phenotastic.mesh.vertex_neighbors">vertex_neighbors() (in module phenotastic.mesh)</a>
</li>
      <li><a href="phenotastic.html#phenotastic.mesh.vertex_neighbors_all">vertex_neighbors_all() (in module phenotastic.mesh)</a>
</li>
  </ul></td>
</tr></table>



            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="#" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">Phenotastic 0.3.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Index</a></li>
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2018, Henrik Ahl.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 6.1.3.
    </div>
  </body>
</html>
